From fe64cd98742ba06d8f9af0c4a99ecb9395732a7f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Toque?= <xilasz@gmail.com>
Date: Thu, 2 Feb 2012 20:02:32 +0100
Subject: [PATCH] speex: Check if we really need to run the resampler

---
 modules/audio_filter/resampler/speex.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/modules/audio_filter/resampler/speex.c b/modules/audio_filter/resampler/speex.c
index cc00e86..c642a49 100644
--- a/modules/audio_filter/resampler/speex.c
+++ b/modules/audio_filter/resampler/speex.c
@@ -104,6 +104,10 @@ static void Close (vlc_object_t *obj)
 
 static block_t *Resample (filter_t *filter, block_t *in)
 {
+    /* Check if we really need to run the resampler */
+    if( filter->fmt_out.audio.i_rate == filter->fmt_in.audio.i_rate )
+        return in;
+
     SpeexResamplerState *st = (SpeexResamplerState *)filter->p_sys;
 
     const size_t framesize = filter->fmt_out.audio.i_bytes_per_frame;
-- 
1.7.5.4

